Unable to apply SQL Server 2005 SP4 ENU on SQL 2005 ESN Installation - KB2463332

New Contributor

Hi,

 

I want to perform inplace upgrade on existing SQL Server 2005 Express (SP3) with Advanced Services (x86) ESN (Spanish) to SQL Server 2014 Express Advanced Services.

Before i upgrade I need to patch SQL Server 2005 with SQL Server 2005 Express with advanced Services - Service Pack 4 KB2463332.

The one i downloaded is ENU (English) version and when i try to apply the patch it is unable to proceed further.

 

"This update requires language ENU. The language for product instance SQLEXPRESS is ESN. Download the update for language ESN. "

Unfortunately, there is no separate Service pack for SQL 2005 SP4 available for Spanish language on MS website.

 

I tried to changed the Server OS Language settings from Espana to English but it didn't worked.

 

Please help to fix this issue.

VimalSolanki1982_0-1669883028491.png

 

Thanks,

Vimal Solanki

2 Replies

 


I want to perform inplace upgrade on existing SQL Server 2005 Express (SP3) with Advanced Services (x86) ESN (Spanish)

@VimalSolanki1982 , you really want to go with a x86 = 32 bit server system nowadays? Really?

I wouldn't.

Do a fresh SQL Server x64 = 64 bit installation, backup & restore the databases.

 

Olaf

Thank you @olafhelper , yes we would like to go with 32 bit SQL 2014 Express as the requirement is for a legacy application and it supports only 32 bit. I am looking for direct upgrade to SQL 2014 Express Spanish version. I have around 56 such sql instances that needs to be upgraded. 

Only problem is that 2005 sp4 is pre-requisite before i do inplace upgrade to sql 2014. Due spanish version of sql i am unable to patch the same.

 

Thanks,

Vimal Solanki.